Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class ListUIBean

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ListUIBean

Direct Known Subclasses:
  CheckboxList, DoubleListUIBean, InputTransferSelect, Radio, Select

    public abstract class ListUIBean

extends UIBean

DoubleListUIBean is the standard superclass of all Struts list handling components.

Note that the listkey and listvalue attribute will default to "key" and "value" respectively only when the list attribute is evaluated to a Map or its decendant. Other thing else, will result in listkey and listvalue to be null and not used.

Field Summary
`protected Object` | `list`
`protected String` | `listKey`
`protected String` | `listValue`
`protected boolean` | `throwExceptionOnNullValueAttribute`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssStyle, defaultTemplateDir, defaultUITheme, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, id, parameters, stack`

Constructor Summary
`protected` | `ListUIBean(ValueStack stack, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`boolean` | `contains(Object obj1, Object obj2)`
`void` | `evaluateExtraParams()`
`protected Class` | `getValueClassType()`
`void` | `setList(Object list)`
`void` | `setListKey(String listKey)`
`void` | `setListValue(String listValue)`
`void` | `setThrowExceptionOnNullValueAttribute(boolean throwExceptionOnNullValueAttribute)`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getTemplate, getTemplateDir, getTheme, getTooltipConfig, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getComponentStack, getId, getParameters, getStack, popComponentStack, setActionMapper, setId, start, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected Object list

### listKey

    protected String listKey

### listValue

    protected String listValue

### throwExceptionOnNullValueAttribute

    protected boolean throwExceptionOnNullValueAttribute

Constructor Detail

### ListUIBean

    protected ListUIBean(ValueStack stack,
                         HttpServletRequest request,
                         HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### contains

    public boolean contains(Object obj1,
                            Object obj2)

### getValueClassType

    protected Class getValueClassType()

  Overrides:
    `getValueClassType` in class `UIBean`

### setList

    public void setList(Object list)

### setListKey

    public void setListKey(String listKey)

### setListValue

    public void setListValue(String listValue)

### setThrowExceptionOnNullValueAttribute

    public void setThrowExceptionOnNullValueAttribute(boolean throwExceptionOnNullValueAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.